Index: /XIOS/trunk/src/server.hpp
===================================================================
--- /XIOS/trunk/src/server.hpp	(revision 1638)
+++ /XIOS/trunk/src/server.hpp	(revision 1639)
@@ -26,9 +26,9 @@
         static void registerContext(void* buff,int count, int leaderRank=0);
 
-        static ep_lib::MPI_Comm intraComm;
-        static std::list<ep_lib::MPI_Comm> interCommLeft;           // interComm between server (primary, classical or secondary) and its client (client or primary server)
-        static std::list<ep_lib::MPI_Comm> interCommRight;          // interComm between primary server and secondary server (non-empty only for primary server pool)
-        static std::list<ep_lib::MPI_Comm> contextInterComms;  // list of context intercomms
-        static std::list<ep_lib::MPI_Comm> contextIntraComms;  // list of context intercomms (needed only in case of secondary servers)
+        static MPI_Comm intraComm;
+        static std::list<MPI_Comm> interCommLeft;           // interComm between server (primary, classical or secondary) and its client (client or primary server)
+        static std::list<MPI_Comm> interCommRight;          // interComm between primary server and secondary server (non-empty only for primary server pool)
+        static std::list<MPI_Comm> contextInterComms;  // list of context intercomms
+        static std::list<MPI_Comm> contextIntraComms;  // list of context intercomms (needed only in case of secondary servers)
         static CEventScheduler* eventScheduler;
 
Index: /XIOS/trunk/src/timer.cpp
===================================================================
--- /XIOS/trunk/src/timer.cpp	(revision 1638)
+++ /XIOS/trunk/src/timer.cpp	(revision 1639)
@@ -1,4 +1,3 @@
 #include "timer.hpp"
-//#include "mpi_std.hpp"
 #include "mpi.hpp"
 #include <string>
@@ -7,5 +6,4 @@
 #include <sstream>
 #include "tracer.hpp"
-//extern ::MPI_Comm MPI_COMM_WORLD;
 
 namespace xios
@@ -20,5 +18,4 @@
   double CTimer::getTime(void)
   {
-    MPI_COMM_WORLD;
     return MPI_Wtime();
   }
Index: /XIOS/trunk/src/tracer.cpp
===================================================================
--- /XIOS/trunk/src/tracer.cpp	(revision 1638)
+++ /XIOS/trunk/src/tracer.cpp	(revision 1639)
@@ -1,6 +1,5 @@
 #include "tracer.hpp"
 #ifdef VTRACE
-//#include <vt_user.h>
-#include <VT.h>
+#include <vt_user.h>
 #endif
 #include <string>
@@ -13,6 +12,5 @@
   {
 #ifdef VTRACE
-    //VT_ON() ;
-    VT_traceon() ;
+    VT_ON() ;
 #endif
   }
@@ -21,6 +19,5 @@
   {
 #ifdef VTRACE
-    //VT_OFF() ;
-    VT_traceoff() ;
+    VT_OFF() ;
 #endif
   }
@@ -29,5 +26,5 @@
   {
 #ifdef VTRACE
-    //VT_USER_START(name.c_str()) ;
+    VT_USER_START(name.c_str()) ;
 #endif
   }
@@ -36,5 +33,5 @@
   {
 #ifdef VTRACE
-    //VT_USER_END(name.c_str()) ;
+    VT_USER_END(name.c_str()) ;
 #endif
   }
Index: /XIOS/trunk/src/transformation/axis_algorithm_interpolate.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_interpolate.cpp	(revision 1638)
+++ /XIOS/trunk/src/transformation/axis_algorithm_interpolate.cpp	(revision 1639)
@@ -272,5 +272,5 @@
 
     int* recvCount=new int[nbClient];
-    ep_lib::MPI_Allgather(&numValue,1,EP_INT,recvCount,1,EP_INT,client->intraComm);
+    MPI_Allgather(&numValue,1,MPI_INT,recvCount,1,MPI_INT,client->intraComm);
 
     int* displ=new int[nbClient];
@@ -279,6 +279,6 @@
 
     // Each client have enough global info of axis
-    ep_lib::MPI_Allgatherv(sendIndexBuff,numValue,EP_INT,recvIndexBuff,recvCount,displ,EP_INT,client->intraComm);
-    ep_lib::MPI_Allgatherv(sendValueBuff,numValue,EP_DOUBLE,&(recvBuff[0]),recvCount,displ,EP_DOUBLE,client->intraComm);
+    MPI_Allgatherv(sendIndexBuff,numValue,MPI_INT,recvIndexBuff,recvCount,displ,MPI_INT,client->intraComm);
+    MPI_Allgatherv(sendValueBuff,numValue,MPI_DOUBLE,&(recvBuff[0]),recvCount,displ,MPI_DOUBLE,client->intraComm);
 
     for (int idx = 0; idx < srcSize; ++idx)
Index: /XIOS/trunk/src/transformation/axis_algorithm_inverse.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_inverse.cpp	(revision 1638)
+++ /XIOS/trunk/src/transformation/axis_algorithm_inverse.cpp	(revision 1639)
@@ -161,5 +161,5 @@
     sendRankSizeMap[itIndex->first] = sendSize;
   }
-  ep_lib::MPI_Allgather(&connectedClient,1,EP_INT,recvCount,1,EP_INT,client->intraComm);
+  MPI_Allgather(&connectedClient,1,MPI_INT,recvCount,1,MPI_INT,client->intraComm);
 
   displ[0]=0 ;
@@ -168,6 +168,6 @@
   int* recvRankBuff=new int[recvSize];
   int* recvSizeBuff=new int[recvSize];
-  ep_lib::MPI_Allgatherv(sendRankBuff,connectedClient,EP_INT,recvRankBuff,recvCount,displ,EP_INT,client->intraComm);
-  ep_lib::MPI_Allgatherv(sendSizeBuff,connectedClient,EP_INT,recvSizeBuff,recvCount,displ,EP_INT,client->intraComm);
+  MPI_Allgatherv(sendRankBuff,connectedClient,MPI_INT,recvRankBuff,recvCount,displ,MPI_INT,client->intraComm);
+  MPI_Allgatherv(sendSizeBuff,connectedClient,MPI_INT,recvSizeBuff,recvCount,displ,MPI_INT,client->intraComm);
   for (int i = 0; i < nbClient; ++i)
   {
@@ -181,6 +181,6 @@
 
   // Sending global index of grid source to corresponding process as well as the corresponding mask
-  std::vector<ep_lib::MPI_Request> requests;
-  std::vector<ep_lib::MPI_Status> status;
+  std::vector<MPI_Request> requests;
+  std::vector<MPI_Status> status;
   std::unordered_map<int, unsigned long* > recvGlobalIndexSrc;
   std::unordered_map<int, double* > sendValueToDest;
@@ -192,6 +192,6 @@
     sendValueToDest[recvRank] = new double [recvSize];
 
-    requests.push_back(ep_lib::MPI_Request());
-    ep_lib::MPI_Irecv(recvGlobalIndexSrc[recvRank], recvSize, EP_UNSIGNED_LONG, recvRank, 46, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Irecv(recvGlobalIndexSrc[recvRank], recvSize, MPI_UNSIGNED_LONG, recvRank, 46, client->intraComm, &requests.back());
   }
 
@@ -214,14 +214,14 @@
 
     // Send global index source and mask
-    requests.push_back(ep_lib::MPI_Request());
-    ep_lib::MPI_Isend(sendGlobalIndexSrc[sendRank], sendSize, EP_UNSIGNED_LONG, sendRank, 46, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Isend(sendGlobalIndexSrc[sendRank], sendSize, MPI_UNSIGNED_LONG, sendRank, 46, client->intraComm, &requests.back());
   }
 
   status.resize(requests.size());
-  ep_lib::MPI_Waitall(requests.size(), &requests[0], &status[0]);
-
-
-  std::vector<ep_lib::MPI_Request>().swap(requests);
-  std::vector<ep_lib::MPI_Status>().swap(status);
+  MPI_Waitall(requests.size(), &requests[0], &status[0]);
+
+
+  std::vector<MPI_Request>().swap(requests);
+  std::vector<MPI_Status>().swap(status);
 
   // Okie, on destination side, we will wait for information of masked index of source
@@ -231,6 +231,6 @@
     int recvSize = itSend->second;
 
-    requests.push_back(ep_lib::MPI_Request());
-    ep_lib::MPI_Irecv(recvValueFromSrc[recvRank], recvSize, EP_DOUBLE, recvRank, 48, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Irecv(recvValueFromSrc[recvRank], recvSize, MPI_DOUBLE, recvRank, 48, client->intraComm, &requests.back());
   }
 
@@ -249,9 +249,9 @@
     }
     // Okie, now inform the destination which source index are masked
-    requests.push_back(ep_lib::MPI_Request());
-    ep_lib::MPI_Isend(sendValueToDest[recvRank], recvSize, EP_DOUBLE, recvRank, 48, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Isend(sendValueToDest[recvRank], recvSize, MPI_DOUBLE, recvRank, 48, client->intraComm, &requests.back());
   }
   status.resize(requests.size());
-  ep_lib::MPI_Waitall(requests.size(), &requests[0], &status[0]);
+  MPI_Waitall(requests.size(), &requests[0], &status[0]);
 
 
Index: /XIOS/trunk/src/transformation/domain_algorithm_generate_rectilinear.cpp
===================================================================
--- /XIOS/trunk/src/transformation/domain_algorithm_generate_rectilinear.cpp	(revision 1638)
+++ /XIOS/trunk/src/transformation/domain_algorithm_generate_rectilinear.cpp	(revision 1639)
@@ -70,6 +70,6 @@
         StdSize hashValue = hashFunc.hashVec(globalAxisIndex);
         std::vector<StdSize> recvBuff(client->clientSize);
-        ep_lib::MPI_Gather(&hashValue, 1, EP_UNSIGNED_LONG,
-                   &recvBuff[0], 1, EP_UNSIGNED_LONG,
+        MPI_Gather(&hashValue, 1, MPI_UNSIGNED_LONG,
+                   &recvBuff[0], 1, MPI_UNSIGNED_LONG,
                    0,
                    client->intraComm);
@@ -87,5 +87,5 @@
         }
 
-        ep_lib::MPI_Bcast(&nbLocalAxis[0], nbAxis, EP_INT,
+        MPI_Bcast(&nbLocalAxis[0], nbAxis, MPI_INT,
                   0, client->intraComm);
       }
Index: /XIOS/trunk/src/transformation/domain_algorithm_interpolate.cpp
===================================================================
--- /XIOS/trunk/src/transformation/domain_algorithm_interpolate.cpp	(revision 1638)
+++ /XIOS/trunk/src/transformation/domain_algorithm_interpolate.cpp	(revision 1639)
@@ -434,14 +434,10 @@
   CContextClient* client=context->client;
 
-  ep_lib::MPI_Comm poleComme(EP_COMM_NULL);
-  #ifdef _usingMPI
+  MPI_Comm poleComme(MPI_COMM_NULL);
   MPI_Comm_split(client->intraComm, interMapValuePole.empty() ? MPI_UNDEFINED : 1, 0, &poleComme);
-  #elif _usingEP
-  ep_lib::MPI_Comm_split(client->intraComm, interMapValuePole.empty() ? 0 : 1, 0, &poleComme);
-  #endif
-  if (EP_COMM_NULL != poleComme)
+  if (MPI_COMM_NULL != poleComme)
   {
     int nbClientPole;
-    ep_lib::MPI_Comm_size(poleComme, &nbClientPole);
+    MPI_Comm_size(poleComme, &nbClientPole);
 
     std::map<int,std::vector<std::pair<int,double> > >::iterator itePole = interMapValuePole.end(), itPole,
@@ -454,5 +450,5 @@
     std::vector<int> recvCount(nbClientPole,0);
     std::vector<int> displ(nbClientPole,0);
-    ep_lib::MPI_Allgather(&nbWeight,1,EP_INT,&recvCount[0],1,EP_INT,poleComme) ;
+    MPI_Allgather(&nbWeight,1,MPI_INT,&recvCount[0],1,MPI_INT,poleComme) ;
 
     displ[0]=0;
@@ -477,6 +473,6 @@
 
     // Gather all index and weight for pole
-    ep_lib::MPI_Allgatherv(&sendSourceIndexBuff[0],nbWeight,EP_INT,&recvSourceIndexBuff[0],&recvCount[0],&displ[0],EP_INT,poleComme);
-    ep_lib::MPI_Allgatherv(&sendSourceWeightBuff[0],nbWeight,EP_DOUBLE,&recvSourceWeightBuff[0],&recvCount[0],&displ[0],EP_DOUBLE,poleComme);
+    MPI_Allgatherv(&sendSourceIndexBuff[0],nbWeight,MPI_INT,&recvSourceIndexBuff[0],&recvCount[0],&displ[0],MPI_INT,poleComme);
+    MPI_Allgatherv(&sendSourceWeightBuff[0],nbWeight,MPI_DOUBLE,&recvSourceWeightBuff[0],&recvCount[0],&displ[0],MPI_DOUBLE,poleComme);
 
     std::map<int,double> recvTemp;
@@ -635,5 +631,5 @@
 
 
-  ep_lib::MPI_Allreduce(sendBuff, recvBuff, nbClient, EP_INT, EP_SUM, client->intraComm);
+  MPI_Allreduce(sendBuff, recvBuff, nbClient, MPI_INT, MPI_SUM, client->intraComm);
 
   int* sendIndexDestBuff = new int [sendBuffSize];
@@ -641,5 +637,5 @@
   double* sendWeightBuff = new double [sendBuffSize];
 
-  std::vector<ep_lib::MPI_Request> sendRequest;
+  std::vector<MPI_Request> sendRequest;
 
   int sendOffSet = 0, l = 0;
@@ -662,24 +658,24 @@
     }
 
-    sendRequest.push_back(ep_lib::MPI_Request());
-    ep_lib::MPI_Isend(sendIndexDestBuff + sendOffSet,
+    sendRequest.push_back(MPI_Request());
+    MPI_Isend(sendIndexDestBuff + sendOffSet,
              k,
-             EP_INT,
+             MPI_INT,
              itMap->first,
              MPI_DOMAIN_INTERPOLATION_DEST_INDEX,
              client->intraComm,
              &sendRequest.back());
-    sendRequest.push_back(ep_lib::MPI_Request());
-    ep_lib::MPI_Isend(sendIndexSrcBuff + sendOffSet,
+    sendRequest.push_back(MPI_Request());
+    MPI_Isend(sendIndexSrcBuff + sendOffSet,
              k,
-             EP_INT,
+             MPI_INT,
              itMap->first,
              MPI_DOMAIN_INTERPOLATION_SRC_INDEX,
              client->intraComm,
              &sendRequest.back());
-    sendRequest.push_back(ep_lib::MPI_Request());
-    ep_lib::MPI_Isend(sendWeightBuff + sendOffSet,
+    sendRequest.push_back(MPI_Request());
+    MPI_Isend(sendWeightBuff + sendOffSet,
              k,
-             EP_DOUBLE,
+             MPI_DOUBLE,
              itMap->first,
              MPI_DOMAIN_INTERPOLATION_WEIGHT,
@@ -697,34 +693,20 @@
   while (receivedSize < recvBuffSize)
   {
-    ep_lib::MPI_Status recvStatus;
-    #ifdef _usingMPI
+    MPI_Status recvStatus;
     MPI_Recv((recvIndexDestBuff + receivedSize),
              recvBuffSize,
-             EP_INT,
+             MPI_INT,
              MPI_ANY_SOURCE,
              MPI_DOMAIN_INTERPOLATION_DEST_INDEX,
              client->intraComm,
              &recvStatus);
-    #elif _usingEP
-    ep_lib::MPI_Recv((recvIndexDestBuff + receivedSize),
+
+    int countBuff = 0;
+    MPI_Get_count(&recvStatus, MPI_INT, &countBuff);
+    clientSrcRank = recvStatus.MPI_SOURCE;
+
+    MPI_Recv((recvIndexSrcBuff + receivedSize),
              recvBuffSize,
-             EP_INT,
-             -2,
-             MPI_DOMAIN_INTERPOLATION_DEST_INDEX,
-             client->intraComm,
-             &recvStatus);
-    #endif
-
-    int countBuff = 0;
-    ep_lib::MPI_Get_count(&recvStatus, EP_INT, &countBuff);
-    #ifdef _usingMPI
-    clientSrcRank = recvStatus.MPI_SOURCE;
-    #elif _usingEP
-    clientSrcRank = recvStatus.ep_src;
-    #endif
-
-    ep_lib::MPI_Recv((recvIndexSrcBuff + receivedSize),
-             recvBuffSize,
-             EP_INT,
+             MPI_INT,
              clientSrcRank,
              MPI_DOMAIN_INTERPOLATION_SRC_INDEX,
@@ -732,7 +714,7 @@
              &recvStatus);
 
-    ep_lib::MPI_Recv((recvWeightBuff + receivedSize),
+    MPI_Recv((recvWeightBuff + receivedSize),
              recvBuffSize,
-             EP_DOUBLE,
+             MPI_DOUBLE,
              clientSrcRank,
              MPI_DOMAIN_INTERPOLATION_WEIGHT,
@@ -748,11 +730,6 @@
   }
 
-  std::vector<ep_lib::MPI_Status> requestStatus(sendRequest.size());
-  #ifdef _usingMPI
+  std::vector<MPI_Status> requestStatus(sendRequest.size());
   MPI_Waitall(sendRequest.size(), &sendRequest[0], MPI_STATUS_IGNORE);
-  #elif _usingEP
-  std::vector<ep_lib::MPI_Status> waitstat(sendRequest.size());
-  ep_lib::MPI_Waitall(sendRequest.size(), &sendRequest[0], &waitstat[0]);
-  #endif
 
   delete [] sendIndexDestBuff;
@@ -768,5 +745,5 @@
  
 /*! Redefined some functions of CONetCDF4 to make use of them */
-CDomainAlgorithmInterpolate::WriteNetCdf::WriteNetCdf(const StdString& filename, const ep_lib::MPI_Comm comm)
+CDomainAlgorithmInterpolate::WriteNetCdf::WriteNetCdf(const StdString& filename, const MPI_Comm comm)
   : CNc4DataOutput(NULL, filename, false, false, true, comm, false, true) {}
 int CDomainAlgorithmInterpolate::WriteNetCdf::addDimensionWrite(const StdString& name, 
@@ -858,6 +835,6 @@
   }
 
-  ep_lib::MPI_Allreduce(&localNbWeight, &globalNbWeight, 1, EP_LONG, EP_SUM, client->intraComm);
-  ep_lib::MPI_Scan(&localNbWeight, &startIndex, 1, EP_LONG, EP_SUM, client->intraComm);
+  MPI_Allreduce(&localNbWeight, &globalNbWeight, 1, MPI_LONG, MPI_SUM, client->intraComm);
+  MPI_Scan(&localNbWeight, &startIndex, 1, MPI_LONG, MPI_SUM, client->intraComm);
   
   if (0 == globalNbWeight)
Index: /XIOS/trunk/src/transformation/generic_algorithm_transformation.cpp
===================================================================
--- /XIOS/trunk/src/transformation/generic_algorithm_transformation.cpp	(revision 1638)
+++ /XIOS/trunk/src/transformation/generic_algorithm_transformation.cpp	(revision 1639)
@@ -136,5 +136,5 @@
       {
         distributed=domainListSrcP[elementPositionInGridSrc2DomainPosition_[elementPositionInGrid]]->isDistributed() ;
-        ep_lib::MPI_Allreduce(&distributed,&distributed_glo, 1, EP_INT, EP_LOR, client->intraComm) ;
+        MPI_Allreduce(&distributed,&distributed_glo, 1, MPI_INT, MPI_LOR, client->intraComm) ;
     
       }
@@ -142,5 +142,5 @@
       {
         distributed=axisListSrcP[elementPositionInGridSrc2AxisPosition_[elementPositionInGrid]]->isDistributed() ;
-        ep_lib::MPI_Allreduce(&distributed,&distributed_glo, 1, EP_INT, EP_LOR, client->intraComm) ;
+        MPI_Allreduce(&distributed,&distributed_glo, 1, MPI_INT, MPI_LOR, client->intraComm) ;
       }
       else //it's a scalar
@@ -238,5 +238,5 @@
   int sendValue = (computeGlobalIndexOnProc) ? 1 : 0;
   int recvValue = 0;
-  ep_lib::MPI_Allreduce(&sendValue, &recvValue, 1, EP_INT, EP_SUM, client->intraComm);
+  MPI_Allreduce(&sendValue, &recvValue, 1, MPI_INT, MPI_SUM, client->intraComm);
   computeGlobalIndexOnProc = (0 < recvValue);
 
Index: /XIOS/trunk/src/transformation/grid_transformation.cpp
===================================================================
--- /XIOS/trunk/src/transformation/grid_transformation.cpp	(revision 1638)
+++ /XIOS/trunk/src/transformation/grid_transformation.cpp	(revision 1639)
@@ -514,5 +514,5 @@
     sendRankSizeMap[itIndex->first] = sendSize;
   }
-  ep_lib::MPI_Allgather(&connectedClient,1,EP_INT,recvCount,1,EP_INT,client->intraComm);
+  MPI_Allgather(&connectedClient,1,MPI_INT,recvCount,1,MPI_INT,client->intraComm);
 
   displ[0]=0 ;
@@ -521,6 +521,6 @@
   int* recvRankBuff=new int[recvSize];
   int* recvSizeBuff=new int[recvSize];
-  ep_lib::MPI_Allgatherv(sendRankBuff,connectedClient,EP_INT,recvRankBuff,recvCount,displ,EP_INT,client->intraComm);
-  ep_lib::MPI_Allgatherv(sendSizeBuff,connectedClient,EP_INT,recvSizeBuff,recvCount,displ,EP_INT,client->intraComm);
+  MPI_Allgatherv(sendRankBuff,connectedClient,MPI_INT,recvRankBuff,recvCount,displ,MPI_INT,client->intraComm);
+  MPI_Allgatherv(sendSizeBuff,connectedClient,MPI_INT,recvSizeBuff,recvCount,displ,MPI_INT,client->intraComm);
   for (int i = 0; i < nbClient; ++i)
   {
@@ -534,9 +534,8 @@
 
   // Sending global index of grid source to corresponding process as well as the corresponding mask
-  std::vector<ep_lib::MPI_Request> requests(recvRankSizeMap.size()*2 + globaIndexWeightFromSrcToDst.size()*2);
-  std::vector<ep_lib::MPI_Status> status;
+  std::vector<MPI_Request> requests;
+  std::vector<MPI_Status> status;
   std::unordered_map<int, unsigned char* > recvMaskDst;
   std::unordered_map<int, unsigned long* > recvGlobalIndexSrc;
-  int requests_position = 0;
   for (std::map<int,int>::const_iterator itRecv = recvRankSizeMap.begin(); itRecv != recvRankSizeMap.end(); ++itRecv)
   {
@@ -546,11 +545,8 @@
     recvGlobalIndexSrc[recvRank] = new unsigned long [recvSize];
 
-    ep_lib::MPI_Irecv(recvGlobalIndexSrc[recvRank], recvSize, EP_UNSIGNED_LONG, recvRank, 46, client->intraComm, &requests[requests_position++]);
-    ep_lib::MPI_Irecv(recvMaskDst[recvRank], recvSize, EP_UNSIGNED_CHAR, recvRank, 47, client->intraComm, &requests[requests_position++]);
-
-    //requests.push_back(ep_lib::MPI_Request());
-    //ep_lib::MPI_Irecv(recvGlobalIndexSrc[recvRank], recvSize, EP_UNSIGNED_LONG, recvRank, 46, client->intraComm, &requests.back());
-    //requests.push_back(ep_lib::MPI_Request());
-    //ep_lib::MPI_Irecv(recvMaskDst[recvRank], recvSize, EP_UNSIGNED_CHAR, recvRank, 47, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Irecv(recvGlobalIndexSrc[recvRank], recvSize, MPI_UNSIGNED_LONG, recvRank, 46, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Irecv(recvMaskDst[recvRank], recvSize, MPI_UNSIGNED_CHAR, recvRank, 47, client->intraComm, &requests.back());
   }
 
@@ -587,19 +583,16 @@
 
     // Send global index source and mask
-    ep_lib::MPI_Isend(sendGlobalIndexSrc[sendRank], sendSize, EP_UNSIGNED_LONG, sendRank, 46, client->intraComm, &requests[requests_position++]);
-    ep_lib::MPI_Isend(sendMaskDst[sendRank], sendSize, EP_UNSIGNED_CHAR, sendRank, 47, client->intraComm, &requests[requests_position++]);
-    //requests.push_back(ep_lib::MPI_Request());
-    //ep_lib::MPI_Isend(sendGlobalIndexSrc[sendRank], sendSize, EP_UNSIGNED_LONG, sendRank, 46, client->intraComm, &requests.back());
-    //requests.push_back(ep_lib::MPI_Request());
-    //ep_lib::MPI_Isend(sendMaskDst[sendRank], sendSize, EP_UNSIGNED_CHAR, sendRank, 47, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Isend(sendGlobalIndexSrc[sendRank], sendSize, MPI_UNSIGNED_LONG, sendRank, 46, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Isend(sendMaskDst[sendRank], sendSize, MPI_UNSIGNED_CHAR, sendRank, 47, client->intraComm, &requests.back());
   }
 
   status.resize(requests.size());
-  ep_lib::MPI_Waitall(requests.size(), &requests[0], &status[0]);
+  MPI_Waitall(requests.size(), &requests[0], &status[0]);
 
   // Okie, now use the mask to identify which index source we need to send, then also signal the destination which masked index we will return
-  requests.resize(sendRankSizeMap.size() + recvRankSizeMap.size());
-  requests_position = 0;
-  std::vector<ep_lib::MPI_Status>().swap(status);
+  std::vector<MPI_Request>().swap(requests);
+  std::vector<MPI_Status>().swap(status);
   // Okie, on destination side, we will wait for information of masked index of source
   for (std::map<int,int>::const_iterator itSend = sendRankSizeMap.begin(); itSend != sendRankSizeMap.end(); ++itSend)
@@ -608,7 +601,6 @@
     int recvSize = itSend->second;
 
-    ep_lib::MPI_Irecv(sendMaskDst[recvRank], recvSize, EP_UNSIGNED_CHAR, recvRank, 48, client->intraComm, &requests[requests_position++]);
-    //requests.push_back(ep_lib::MPI_Request());
-    //ep_lib::MPI_Irecv(sendMaskDst[recvRank], recvSize, EP_UNSIGNED_CHAR, recvRank, 48, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Irecv(sendMaskDst[recvRank], recvSize, MPI_UNSIGNED_CHAR, recvRank, 48, client->intraComm, &requests.back());
   }
 
@@ -646,10 +638,9 @@
 
     // Okie, now inform the destination which source index are masked
-    ep_lib::MPI_Isend(recvMaskDst[recvRank], recvSize, EP_UNSIGNED_CHAR, recvRank, 48, client->intraComm, &requests[requests_position++]);
-    //requests.push_back(ep_lib::MPI_Request());
-    //ep_lib::MPI_Isend(recvMaskDst[recvRank], recvSize, EP_UNSIGNED_CHAR, recvRank, 48, client->intraComm, &requests.back());
+    requests.push_back(MPI_Request());
+    MPI_Isend(recvMaskDst[recvRank], recvSize, MPI_UNSIGNED_CHAR, recvRank, 48, client->intraComm, &requests.back());
   }
   status.resize(requests.size());
-  ep_lib::MPI_Waitall(requests.size(), &requests[0], &status[0]);
+  MPI_Waitall(requests.size(), &requests[0], &status[0]);
 
   // Cool, now we can fill in local index of grid destination (counted for masked index)
